DealerAI
API Reference

Upload New Inventory JSON

Uploads a JSON file containing new car inventory data and replaces all existing inventory for the dealership.

PUT
/api/v1/inventory/new/json
AuthorizationBasic <token>

Basic Authorization header

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

File*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.dealerai.com/api/v1/inventory/new/json" \  -F File="string"
{
  "num_deletes": 0,
  "num_failed_deletes": 0,
  "delete_errors": [
    {
      "index": 0,
      "id": "string",
      "error": {
        "code": 100,
        "reason": "string"
      },
      "has_error": true
    }
  ],
  "num_inserts": 0,
  "num_failed_inserts": 0,
  "insert_errors": [
    {
      "index": 0,
      "id": "string",
      "error": {
        "code": 100,
        "reason": "string"
      },
      "has_error": true
    }
  ]
}
{
  "num_deletes": 0,
  "num_failed_deletes": 0,
  "delete_errors": [
    {
      "index": 0,
      "id": "string",
      "error": {
        "code": 100,
        "reason": "string"
      },
      "has_error": true
    }
  ],
  "num_inserts": 0,
  "num_failed_inserts": 0,
  "insert_errors": [
    {
      "index": 0,
      "id": "string",
      "error": {
        "code": 100,
        "reason": "string"
      },
      "has_error": true
    }
  ]
}
{
  "message": "string",
  "details": null
}
{
  "message": "string",
  "details": null
}
{
  "message": "string",
  "details": null
}